PipeWire 0.2.6

Data Fields
pw_core_events Struct Reference

core events emited by the core object added with pw_core_add_listener More...

## Data Fields
uint32_t | version
void(* | destroy )(void *data)
| The core is being destroyed. More...
void(* | free )(void *data)
| The core is being freed. More...
void(* | info_changed )(void *data, struct pw_core_info *info)
| The core info changed, use pw_core_get_info() to get the updated info. More...
void(* | global_added )(void *data, struct pw_global *global)
| a new global object was added More...
void(* | global_removed )(void *data, struct pw_global *global)
| a global object was removed More...

## Detailed Description

core events emited by the core object added with pw_core_add_listener

## Field Documentation

## ◆ destroy

void(* pw_core_events::destroy) (void *data)

The core is being destroyed.

## ◆ free

void(* pw_core_events::free) (void *data)

The core is being freed.

## ◆ global_added

void(* pw_core_events::global_added) (void *data, struct pw_global *global)

a new global object was added

## ◆ global_removed

void(* pw_core_events::global_removed) (void *data, struct pw_global *global)

a global object was removed

## ◆ info_changed

void(* pw_core_events::info_changed) (void *data, struct pw_core_info *info)

The core info changed, use pw_core_get_info() to get the updated info.

## ◆ version

uint32_t pw_core_events::version

The documentation for this struct was generated from the following file:

- core.h